An error occurred uploading to the iTunes Store - Please upgrade Java

Yesterday there were an update to Jave (1.6.0_31) in the "Software update", but now when I try to send my updated app, I get this error "An error occurred uploading to the iTunes Store".

Console writes this error... Java 1.5, 1.6, or 1.7 is required. Currently, java is the default java version. Please upgrade.

Any idea how to fix this?

Thanks!

Answers


I met the same "An error occurred uploading to the iTunes Store" issue, and it took me a WHOLE NIGHT!

Here comes the way to solve it:

cd /System/Library/Frameworks/JavaVM.framework/Versions
sudo ln -s CurrentJDK /System/Library/Frameworks/JavaVM.framework/Versions/1.5
sudo ln -s CurrentJDK /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0

the thread: https://devforums.apple.com/thread/147231


I had this problem once over the summer and was able to get past it by reordering my JRE's in Java Preferences. Today I got this error while trying to submit an app, but now Java Preferences is gone. I suspect it's related to Apple's recent removal of the Java Plugin from OSX.

My default java /usr/bin/java was using 1.7 at the time

$ java -version
java version "1.7.0_04"

I checked in /System/Library/Frameworks/JavaVM.framework/Versions, and all of the links were dated Oct 18:

lrwxr-xr-x  1 root  wheel   10 Oct 18 09:57 1.4 -> CurrentJDK
lrwxr-xr-x  1 root  wheel   10 Oct 18 09:57 1.4.2 -> CurrentJDK
lrwxr-xr-x  1 root  wheel   10 Oct 18 09:57 1.5 -> CurrentJDK
lrwxr-xr-x  1 root  wheel   10 Oct 18 09:57 1.5.0 -> CurrentJDK
lrwxr-xr-x  1 root  wheel   10 Oct 18 09:57 1.6 -> CurrentJDK
lrwxr-xr-x  1 root  wheel   10 Oct 18 09:57 1.6.0 -> CurrentJDK
drwxr-xr-x  8 root  wheel  272 Oct 18 10:00 A
lrwxr-xr-x  1 root  wheel    1 Oct 18 09:57 Current -> A
lrwxr-xr-x  1 root  wheel   59 Oct 18 09:57 CurrentJDK -> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents

I changed Current to link to CurrentJDK:

sudo rm Current

sudo ln -s CurrentJDK Current

And checked the version

$ java -version
java version "1.6.0_37"

At this point, I was able to submit to the App Store from Xcode again.


Recreate the old Java 1.5 symlinks:

sudo ln -s CurrentJDK /System/Library/Frameworks/JavaVM.framework/Versions/1.5
sudo ln -s CurrentJDK /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0

If Xcode gives you the following error in Console

Error: Java 1.5, 1.6, or 1.7 is required. Currently, java is the default java version. Please upgrade.

Check whether there is a Software Update. In my case there was one: Java for OSX 2012-002

Java for OS X 2012-002 delivers improved compatibility, security, and reliability by updating Java SE 6 to 1.6.0_31.

Please quit any web browsers and Java applications before installing this update.

See http://support.apple.com/kb/HT5055 for more details about this update.

See http://support.apple.com/kb/HT1222 for information about the security content of this update.

After the update I could submitted my app with no error.


Started getting this error as a result of the latest Java release from Oracle (1.7 which I have on my system):

Error: Java 1.5, 1.6, or 1.7 is required. Currently, java is the default java version. Please upgrade.

I'm using:

OSX 10.7.4
Xcode 4.4.1

~~~~~~~~~~~~~~~~~~~~~ UPDATE ~~~~~~~~~~~~~~~~~~~~~~

Oracle Java Update 1.7 definitely breaks Xcode uploader. This IS an acknowledged bug and is reported (by me and others) in ADC.

You can fix it one of TWO WAYS:

  1. In light of the recent security issues with 1.7, simply Uninstall that version of Java and fall back to Apples latest 1.6.35. Which DOES work ok.
  2. If you must have 1.7 on your Mac, go into Applications > Utilities > Java Preferences and temporarily unselect 1.7. Do your upload, then reselect... or not :)

I just ran into the same issue and this solution worked for me. I also upgraded to the latest using Apple OS Software Update tool.

cd /System/Library/Frameworks/JavaVM.framework/Versions
sudo rm Current
sudo ln -s CurrentJDK Current

Need Your Help

LAN based app - How to connect without static IP?

c# networking ip lan

I am developing a LAN-based database application. It involves a central "server" app to house the database, along with many "client" applications that access it.

jQuery hide/show a div containing Highcharts

jquery google-chrome firefox highcharts

I want to hide/show a div that contains highcharts.